Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.engine.emitter
Interface IEmitterServices

    public interface IEmitterServices

Defines interface to supply emitters with necessary information

Method Summary
`java.util.HashMap` | `getEmitterConfig()` TODO: review, return IEmitterConfig, by format.
`java.lang.Object` | `getOption(java.lang.String name)`
`java.lang.Object` | `getRenderContext()` Deprecated. the user should use getReportContext().getRenderContext() to get the render options.
`IRenderOption` | `getRenderOption()`
`org.eclipse.birt.report.engine.api.script.IReportContext` | `getReportContext()`
`IReportEngine` | `getReportEngine()`
`java.lang.String` | `getReportName()`
`IReportRunnable` | `getReportRunnable()`

Method Detail

### getEmitterConfig

    java.util.HashMap getEmitterConfig()

  TODO: review, return IEmitterConfig, by format.

  Returns:
    emitter configuration of engine

### getRenderOption

    IRenderOption getRenderOption()

  Returns:
    render options

### getReportName

    java.lang.String getReportName()

  Returns:
    the current report name

### getRenderContext

    java.lang.Object getRenderContext()

  Deprecated. the user should use getReportContext().getRenderContext() to get the render options.

  Returns:
    render context

### getReportRunnable

    IReportRunnable getReportRunnable()

  Returns:
    the report runnable

### getOption

    java.lang.Object getOption(java.lang.String name)

  Parameters:
    `name` - option name
  Returns:
    option value

### getReportContext

    org.eclipse.birt.report.engine.api.script.IReportContext getReportContext()

### getReportEngine

    IReportEngine getReportEngine()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.